# H1-Mod Client

![license](https://img.shields.io/github/license/h1-mod/h1-mod.svg)
[![open bugs](https://img.shields.io/github/issues/h1-mod/h1-mod/bug?label=bugs)](https://github.com/h1-mod/h1-mod/issues?q=is%3Aissue+is%3Aopen+label%3Abug)
[![Build](https://github.com/h1-mod/h1-mod/workflows/Build/badge.svg)](https://github.com/h1-mod/h1-mod/actions)
[![Build status](https://ci.appveyor.com/api/projects/status/0sh80kdnsvm53rno?svg=true)](https://ci.appveyor.com/project/h1-mod/h1-mod)
[![Discord](https://img.shields.io/discord/945420505157083208?color=%237289DA&label=members&logo=discord&logoColor=%23FFFFFF)](https://discord.gg/RzzXu5EVnh)
[![website](https://img.shields.io/badge/Repackers-_Website-blue)](https://rimmyscorner.com/)

<p align="center">
  <img src="assets/github/banner-h1.png?raw=true" />
</p>

## Download
Clone the Git repository or download as ZIP.

- <u>**Download Release (EASIEST)**</u>
  - Click on `Releases` at the top and navigate to the latest release
  - Download `h1-mod.zip`
  - If you plan on running a server, download `H1DedicatedConfigs.zip`

- <u>**Download ZIP**</u>
  - Click on the three dots at the top of the repo ( `◘◘◘` )
  - Click `Download ZIP`

- <u>**Clone the repository:**</u>
  - Open a terminal or command prompt.
  - Run the following command:
    ```
    git clone https://git.rimmyscorner.com/Rim/h1-mod.git
    ```

## Installation

1. Place the executable `h1-mod.exe` in your `Call of Duty Modern Warfare Remastered` directory.
    > **Note**: Default location is `C:\Program Files (x86)\Steam\steamapps\common\Call of Duty Modern Warfare Remastered`
2. Place the `localappdata\h1-mod` folder into your Local AppData. Place **ONLY** the `h1-mod` folder in, not `localappdata\h1-mod`. Your final path should look like `C:\Users\%USERPROFILE%\AppData\Local\h1-mod\*`
    > **Note**: On Windows, press `Win + R`, type `%localappdata%`, click ok. Default location is `C:\Users\%USERPROFILE%\AppData\Local`
3. Launch `h1-mod.exe`.
4. You can change your name by using `/name PLAYERNAME` in-game.
5. If running a server, extract `H1DedicatedConfigs.zip` into your `Call of Duty Modern Warfare Remastered` folder.

## Repository Contents
  - H1-Mod Client
  - H1-Mod Dedicated Server Configuration Files
  - All Necessary Files

## Added Features
  - Removed H1-Mod Watermark
  - No Auto-Update
  - Changed Console Title

## Getting Game Files

- You can torrent the `Call of Duty Modern Warfare Remastered` game files from [here](https://git.rimmyscorner.com/Rim/cod-games-download/releases/download/v1.0.0/h1_full_game.zip).
- The DLC torrent is included.

## Installing Git (Optional)

If you don't have `git` installed on your machine, follow these steps:

1. Visit the [Git download page](https://git-scm.com/downloads).
2. Download the appropriate version for your operating system.
3. Run the installer.
   - During the installation, you will be asked if you want to add Git to your system's PATH environment variable. Ensure you choose the option to do so. This allows you to use Git from the command line without specifying its full path.
4. After installation, open a terminal or command prompt and type `git --version` to ensure Git is correctly installed.

## Compile from Source Code

### Prerequisites

- [Visual Studio 2022](https://visualstudio.microsoft.com/thank-you-downloading-visual-studio/?sku=Community&channel=Release&version=VS2022&source=VSLandingPage&cid=2030&passive=false)
- The required code libraries installed using [VSBuildTools](https://aka.ms/vs/17/release/vs_BuildTools.exe)

### Build

1. Clone the Git repository using `git clone https://git.rimmyscorner.com/Parasyn/h1-mod.git` (It is recommended to clone, however you can `Download ZIP` as all submodules have been localized).
2. Run `generate.bat` to initialize the submodules and build the VS .sln file.
3. Open the project in Visual Studio, change the top drop down lists to `Release`, `x64`. You can also modify (or leave same) the Visual Studio edition/path in the `build.bat` file and build the solution via the batch script.
4. Build the application.
<br>

## Disclaimer

This software has been created purely for the purposes of
academic research. It is not intended to be used to attack
other systems. Project maintainers are not responsible or
liable for misuse of the software. Use responsibly.

## Credits:

- [Dss0](https://github.com/Dss0/t7-server-config) - Dedicated Server Files & Tutorial
- [momo5502](https://github.com/momo5502) - Arxan/Steam research, original developer

## ***End README***

# <u>Legacy README.md</u>

### H1-Mod

A client for Call of Duty: Modern Warfare Remastered.

[This project is based on S1x.](https://github.com/XLabsProject/s1x-client)

### Compile from source

- Clone the Git repo. Do NOT download it as ZIP, that won't work.
- Update the submodules and run `premake5 vs2022` or simply use the delivered `generate.bat`.
- Build via solution file in `build\h1-mod.sln`.

### Premake arguments

| Argument                    | Description                                    |
|:----------------------------|:-----------------------------------------------|
| `--copy-to=PATH`            | Optional, copy the EXE to a custom folder after build, define the path here if wanted. |
| `--dev-build`               | Enable development builds of the client. |

### Credits:

- [XLabsProject](https://github.com/XLabsProject) - codebase and iw6x/s1x research
- [quaK](https://github.com/Joelrau) - lots of insight and help
- [fed](https://github.com/fedddddd) - fixed DW/networking, work from [h2-mod](https://github.com/fedddddd/h2-mod)
- [Skull](https://github.com/skkuull) + [mjkzy](https://github.com/mjkzy) - porting code from s1x
- [momo5502](https://github.com/momo5502) - Arxan/Steam research, developer of XLabsProject :D

### Disclaimer

This software has been created purely for the purposes of academic research. It is not intended to be used to attack other systems. Project maintainers are not responsible or liable for misuse of the software. Use responsibly.
